[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#498143: marked as done (Please detect non-ISO block devices masquerading as Debian CDs)



Your message dated Sun, 08 Nov 2009 15:33:16 +0000
with message-id <E1N79lU-0006VP-JM@ries.debian.org>
and subject line Bug#498143: fixed in cdrom-detect 1.32
has caused the Debian Bug report #498143,
regarding Please detect non-ISO block devices masquerading as Debian CDs
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
498143: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=498143
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: cdrom-detect
Version: 1.29
Severity: wishlist
Tags: patch

Hi,

In Debian Live, integration with the Debian Installer works perfectly with
ISO images; cdrom-detect mounts the live image containing the installer
components and proceeds with the installation.

However, on USB/HDD images, cdrom-detect naturally fails to locate the
partition on which the d-i components reside, as it is neither an ISO9660
image nor contained on a block device returned by `list-devices cd` or
`list-devices maybe-usb-floppy`.

The attached patch rectifies this by additionally detecting vfat and ext disk
partitions masquerading as Debian CDs. We only concern ourselves with these
filesystem types as well as restricting the search to partitions as live-
helper will only generate images with these combinations.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
From f7765eba7435a1d55ae1b442b726ac7ce6f2659a Mon Sep 17 00:00:00 2001
From: Chris Lamb <chris@chris-lamb.co.uk>
Date: Sun, 7 Sep 2008 15:03:23 +0100
Subject: [PATCH] Try vfat and ext disk partitions masquerading as Debian CDs.

---
 packages/cdrom-detect/debian/cdrom-detect.postinst |   22 ++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

diff --git a/packages/cdrom-detect/debian/cdrom-detect.postinst b/packages/cdrom-detect/debian/cdrom-detect.postinst
index da0c1bb..ff32ef0 100755
--- a/packages/cdrom-detect/debian/cdrom-detect.postinst
+++ b/packages/cdrom-detect/debian/cdrom-detect.postinst
@@ -44,6 +44,28 @@ do
 		fi
 	done
 
+	# Try disk partitions masquerading as Debian CDs for Debian Live
+	# "usb-hdd" images. Only vfat and ext are supported.
+	modprobe vfat >/dev/null 2>&1 || true
+	for device in $(list-devices partition); do
+		if mount -t vfat -o ro,exec $device /cdrom ||
+		   mount -t ext2 -o ro,exec $device /cdrom; then
+			log "Pseudo CD-ROM mount succeeded: device=$device"
+
+			# Test whether it's a Debian CD
+			if [ -e /cdrom/.disk/info ]; then
+				mounted=1
+				db_set cdrom-detect/cdrom_device $device
+				break
+			else
+				log "Ignoring pseudo CD-ROM device $device - it is not a Debian CD"
+				umount /cdrom 2>/dev/null || true
+			fi
+		else
+			log "Psuedo CD-ROM mount failed: device=$device"
+		fi
+	done
+
 	if [ "$mounted" = "1" ]; then
 		break
 	fi
-- 
1.5.6.5

Attachment: signature.asc
Description: PGP signature


--- End Message ---
--- Begin Message ---
Source: cdrom-detect
Source-Version: 1.32

We believe that the bug you reported is fixed in the latest version of
cdrom-detect, which is due to be installed in the Debian FTP archive:

cdrom-detect_1.32.dsc
  to main/c/cdrom-detect/cdrom-detect_1.32.dsc
cdrom-detect_1.32.tar.gz
  to main/c/cdrom-detect/cdrom-detect_1.32.tar.gz
cdrom-detect_1.32_all.udeb
  to main/c/cdrom-detect/cdrom-detect_1.32_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 498143@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated cdrom-detect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Nov 2009 13:23:10 -0200
Source: cdrom-detect
Binary: cdrom-detect
Architecture: source all
Version: 1.32
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 cdrom-detect - Detect CDROM devices and mount the CD (udeb)
Closes: 498143
Changes: 
 cdrom-detect (1.32) unstable; urgency=low
 .
   [ Colin Watson ]
   * Upgrade to debhelper v7.
 .
   [ Chris Lamb ]
   * Append " fstype=iso9660" to mounting status messages.
   * Try mounting USB block devices if cdrom-detect/try-usb is true. The
     mountpoint is rejected if it does not have /.disk/info file. Option is
     to be used for creating Debian Live USB sticks. Closes: #498143.
   * Set the filesystem type in cdrom-detect/cdrom_fs for apt-setup's benefit.
 .
   [ Frans Pop ]
   * Remove no longer needed Lintian override for missing Standards-
     Version field.
 .
   [ Updated translations ]
   * Amharic (am.po) by Tegegne Tefera
   * Asturian (ast.po) by Marcos Antonio Alvarez Costales
   * Czech (cs.po) by Miroslav Kure
   * Danish (da.po) by Ask Hjorth Larsen
   * Estonian (et.po) by Mattias Põldaru
   * Basque (eu.po) by Piarres Beobide
   * Hindi (hi.po)
   * Italian (it.po) by Milo Casagrande
   * Korean (ko.po) by Changwoo Ryu
Checksums-Sha1: 
 459d820d330e991f922d8bc419e2b006378f12b1 924 cdrom-detect_1.32.dsc
 07edf12016ae7997b2d0baab386dac68e7d96d22 112221 cdrom-detect_1.32.tar.gz
 3082ff7f287622f629159fe6a2f8502c49a85a3f 91178 cdrom-detect_1.32_all.udeb
Checksums-Sha256: 
 a2210ff999aaf034d09159313234e53fbab91b0f69de9337d00f1bfcd7f71a9b 924 cdrom-detect_1.32.dsc
 40451e8bae6977169566ea03a3ceacb2ab7d057d38f1c3a785c77e117f272521 112221 cdrom-detect_1.32.tar.gz
 033ca7a1cb857c0c7c8199a13d72d5ef63ad496a1378af49b78b0e383abdfe8d 91178 cdrom-detect_1.32_all.udeb
Files: 
 d36402ec37facbf5cfc7e884e1af80c0 924 debian-installer optional cdrom-detect_1.32.dsc
 7c1b24b01bf1117de54ca74eeae521ab 112221 debian-installer optional cdrom-detect_1.32.tar.gz
 b2a312815e329a6fa6606e8d189a5135 91178 debian-installer optional cdrom-detect_1.32_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkr24wkACgkQLqiZQEml+FV3GACeMyjC9Ciy2c04AFMk14ydirBY
uF8AoILd2J7Da18lc/SNXYifEv36V0Ta
=4JE8
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: